# vectorFieldChart

#### new vectorFieldChart(selection)

Constructor

Source:
  - chart/vectorFieldChart.js, line 133

##### Parameters:

Name | Type | Description
--- | --- | ---
`selection` | `d3.selection` | The chart holder D3 selection.

### Methods

#### (static) colors(_v) → {*}

Colors Getter / Setter

Source:
  - chart/vectorFieldChart.js, line 259

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `Array` | Array of colours used by color scale.

##### Returns:

Type:
  `*`

#### (static) colorScale(_v) → {*}

Color Scale Getter / Setter

Source:
  - chart/vectorFieldChart.js, line 247

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 color scale.

##### Returns:

Type:
  `*`

#### (static) debug(_v) → {*}

Debug Getter / Setter

Source:
  - chart/vectorFieldChart.js, line 307

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `boolean` | Show debug log and stats. True/False.

##### Returns:

Type:
  `*`

#### (static) dimensions(_v) → {*}

Dimensions Getter / Setter

Source:
  - chart/vectorFieldChart.js, line 199

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `Object` | 3D object dimensions.

##### Returns:

Type:
  `*`

#### (static) height(_v) → {*}

Height Getter / Setter

Source:
  - chart/vectorFieldChart.js, line 187

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `number` | X3D canvas height in px.

##### Returns:

Type:
  `*`

#### (static) sizeRange(_v) → {*}

Size Range Getter / Setter

Source:
  - chart/vectorFieldChart.js, line 283

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `Array.<number>` | Size min and max (e.g. [0.5, 3.0]).

##### Returns:

Type:
  `*`

#### (static) sizeScale(_v) → {*}

Size Scale Getter / Setter

Source:
  - chart/vectorFieldChart.js, line 271

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 color scale.

##### Returns:

Type:
  `*`

#### (static) vectorFunction(_f) → {*}

Vector Function Getter / Setter

Source:
  - chart/vectorFieldChart.js, line 295

##### Parameters:

Name | Type | Description
--- | --- | ---
`_f` | `function` | Vector Function.

##### Returns:

Type:
  `*`

#### (static) width(_v) → {*}

Width Getter / Setter

Source:
  - chart/vectorFieldChart.js, line 175

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `number` | X3D canvas width in px.

##### Returns:

Type:
  `*`

#### (static) xScale(_v) → {*}

X Scale Getter / Setter

Source:
  - chart/vectorFieldChart.js, line 211

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 scale.

##### Returns:

Type:
  `*`

#### (static) yScale(_v) → {*}

Y Scale Getter / Setter

Source:
  - chart/vectorFieldChart.js, line 223

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 scale.

##### Returns:

Type:
  `*`

#### (static) zScale(_v) → {*}

Z Scale Getter / Setter

Source:
  - chart/vectorFieldChart.js, line 235

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 scale.

##### Returns:

Type:
  `*`